org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class DedupTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DedupTest

- Direct Known Subclasses:
    DedupTest.Traversals

      public abstract class DedupTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com), Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DedupTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DedupTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()`
    `void` | `g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()`
    `void` | `g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()`
    `void` | `g_V_both_both_dedup_byXlabelX()`
    `void` | `g_V_both_both_dedup_byXoutE_countX_name()`
    `void` | `g_V_both_both_dedup()`
    `void` | `g_V_both_both_name_dedup()`
    `void` | `g_V_both_dedup_name()`
    `void` | `g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()` https://issues.apache.org/jira/browse/TINKERPOP-2529
    `void` | `g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()`
    `void` | `g_V_both_name_order_byXa_bX_dedup_value()`
    `void` | `g_V_both_properties_dedup_count()`
    `void` | `g_V_both_properties_properties_dedup_count()`
    `void` | `g_V_bothE_properties_dedup_count()`
    `void` | `g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()`
    `void` | `g_V_groupCount_selectXvaluesX_unfold_dedup()`
    `void` | `g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()`
    `void` | `g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()`
    `void` | `g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()`
    `void` | `g_V_repeatXdedupX_timesX2X_count()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()`
    `abstract Traversal<Vertex,Collection<String>>` | `get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_both_both_dedup_byXlabelX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_both_dedup_byXoutE_countX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_both_both_dedup()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_both_name_dedup()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_dedup_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_name_order_byXa_bX_dedup_value()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_both_properties_dedup_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_both_properties_properties_dedup_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_bothE_properties_dedup_count()`
    `abstract Traversal<Vertex,Map<String,List<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_groupCount_selectXvaluesX_unfold_dedup()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()`
    `abstract Traversal<Vertex,String>` | `get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()`
    `abstract Traversal<Vertex,String>` | `get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_repeatXdedupX_timesX2X_count()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DedupTest

          public DedupTest()

  - ### Method Detail

    - #### get_g_V_both_dedup_name

          public abstract Traversal<Vertex,String> get_g_V_both_dedup_name()

    - #### get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name

          public abstract Traversal<Vertex,String> get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()

    - #### get_g_V_both_name_order_byXa_bX_dedup_value

          public abstract Traversal<Vertex,String> get_g_V_both_name_order_byXa_bX_dedup_value()

    - #### get_g_V_both_both_name_dedup

          public abstract Traversal<Vertex,String> get_g_V_both_both_name_dedup()

    - #### get_g_V_both_both_dedup

          public abstract Traversal<Vertex,Vertex> get_g_V_both_both_dedup()

    - #### get_g_V_both_both_dedup_byXlabelX

          public abstract Traversal<Vertex,Vertex> get_g_V_both_both_dedup_byXlabelX()

    - #### get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX

          public abstract Traversal<Vertex,Map<String,List<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()

    - #### get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()

    - #### get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path

          public abstract Traversal<Vertex,Path> get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()

    - #### get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup

          public abstract Traversal<Vertex,String> get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()

    - #### get_g_V_both_both_dedup_byXoutE_countX_name

          public abstract Traversal<Vertex,String> get_g_V_both_both_dedup_byXoutE_countX_name()

    - #### get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold

          public abstract Traversal<Vertex,String> get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()

    - #### get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()

    - #### get_g_V_groupCount_selectXvaluesX_unfold_dedup

          public abstract Traversal<Vertex,Long> get_g_V_groupCount_selectXvaluesX_unfold_dedup()

    - #### get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup

          public abstract Traversal<Vertex,Collection<String>> get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()

    - #### get_g_V_repeatXdedupX_timesX2X_count

          public abstract Traversal<Vertex,Long> get_g_V_repeatXdedupX_timesX2X_count()

    - #### get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX

          public abstract Traversal<Vertex,String> get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()

    - #### get_g_V_bothE_properties_dedup_count

          public abstract Traversal<Vertex,Long> get_g_V_bothE_properties_dedup_count()

    - #### get_g_V_both_properties_dedup_count

          public abstract Traversal<Vertex,Long> get_g_V_both_properties_dedup_count()

    - #### get_g_V_both_properties_properties_dedup_count

          public abstract Traversal<Vertex,Long> get_g_V_both_properties_properties_dedup_count()

    - #### g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold

          public void g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()

    - #### g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold

          public void g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()

    - #### g_V_both_dedup_name

          public void g_V_both_dedup_name()

    - #### g_V_both_hasXlabel_softwareX_dedup_byXlangX_name

          public void g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()

    - #### g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX

          public void g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()

      https://issues.apache.org/jira/browse/TINKERPOP-2529

    - #### g_V_both_name_order_byXa_bX_dedup_value

          public void g_V_both_name_order_byXa_bX_dedup_value()

    - #### g_V_both_both_name_dedup

          public void g_V_both_both_name_dedup()

    - #### g_V_both_both_dedup

          public void g_V_both_both_dedup()

    - #### g_V_both_both_dedup_byXlabelX

          public void g_V_both_both_dedup_byXlabelX()

    - #### g_V_group_byXlabelX_byXbothE_weight_dedup_foldX

          public void g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()

    - #### g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX

          public void g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()

    - #### g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path

          public void g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()

    - #### g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup

          public void g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()

    - #### g_V_both_both_dedup_byXoutE_countX_name

          public void g_V_both_both_dedup_byXoutE_countX_name()

    - #### g_V_groupCount_selectXvaluesX_unfold_dedup

          public void g_V_groupCount_selectXvaluesX_unfold_dedup()

    - #### g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup

          public void g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()

    - #### g_V_repeatXdedupX_timesX2X_count

          public void g_V_repeatXdedupX_timesX2X_count()

    - #### g_V_bothE_properties_dedup_count

          public void g_V_bothE_properties_dedup_count()

    - #### g_V_both_properties_dedup_count

          public void g_V_both_properties_dedup_count()

    - #### g_V_both_properties_properties_dedup_count

          public void g_V_both_properties_properties_dedup_count()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.